Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class ParserConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.parsers.ParserConfigurationException

All Implemented Interfaces:
  Serializable

public class ParserConfigurationException
extends Exception

Indicates a serious configuration error.

Since:
  JAXP 1.0
See Also:
  Serialized Form

Constructor Summary
`ParserConfigurationException()` Create a new `ParserConfigurationException` with no detail mesage.
`ParserConfigurationException(String msg)` Create a new `ParserConfigurationException` with the `String` specified as an error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserConfigurationException

    public ParserConfigurationException()

  Create a new `ParserConfigurationException` with no detail mesage.

### ParserConfigurationException

    public ParserConfigurationException(String msg)

  Create a new `ParserConfigurationException` with the `String` specified as an error message.

Parameters:
  `msg` - The error message for the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.